// k_mod_player_death
/*
   Module OnDeath handler to queue KnockOut script for owned PCs
*/
// BMA-OEI 12/19/05
// BMA-OEI 2/28/06 -- DeathScript support
// BMA-OEI 8/10/10 -- Exit if not owned by player (e.g. possessed companions)


#include "ginc_death"
#include "ginc_debug"
	

void main()
{
	object oDead = GetLastPlayerDied();
	PrintString( "k_mod_player_death: " + GetName(oDead) + " executing OnPlayerDeath event" );

	// Abort if dying character is not an owned PC
	if ( GetIsOwnedByPlayer( oDead ) == FALSE )
	{
		PrintString( "** k_mod_player_death: " + GetName(oDead) + " not owned by a player. ABORT!" );
		return;	
	}
	
	// Check for additional death script
	string sDeathScript = GetLocalString( oDead, "DeathScript" );
	if ( sDeathScript != "" ) ExecuteScript( sDeathScript, oDead );	
	
	// Queue knockout script
	AssignCommand( oDead, KnockOutCreature( oDead ) );
}